Show / Hide Table of Contents

# Class OpenIddictServerEvents.ValidateUserinfoRequestContext

Represents an event called for each request to the userinfo endpoint to determine if the request is valid and should continue to be processed.

##### Inheritance

System.Object
OpenIddict.Server.OpenIddictServerEvents.BaseContext
OpenIddict.Server.OpenIddictServerEvents.BaseRequestContext
OpenIddict.Server.OpenIddictServerEvents.BaseValidatingContext
OpenIddictServerEvents.ValidateUserinfoRequestContext

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ValidateUserinfoRequestContext : OpenIddictServerEvents.BaseValidatingContext

### Constructors

#### ValidateUserinfoRequestContext(OpenIddictServerTransaction)

Creates a new instance of the OpenIddictServerEvents.ValidateUserinfoRequestContext class.

##### Declaration

    public ValidateUserinfoRequestContext(OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction |

### Properties

#### Principal

Gets or sets the security principal extracted from the access token, if available.

##### Declaration

    public ClaimsPrincipal? Principal { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<ClaimsPrincipal> |

#### Request

Gets or sets the request.

##### Declaration

    public OpenIddictRequest Request { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictRequest |